import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import Accordion from "@material-ui/core/Accordion";
import AccordionSummary from "@material-ui/core/AccordionSummary";
import AccordionDetails from "@material-ui/core/AccordionDetails";
import Typography from "@material-ui/core/Typography";
import ExpandMoreIcon from "@material-ui/icons/ExpandMore";

const useStyles = makeStyles((theme) => ({
  root: {
    width: "100%",
  },
  sumary: {
    backgroundColor: theme.palette.primary.main,
    color: theme.palette.background.main,
  },
  icon: {
    color: theme.palette.background.main,
  },
  details: {
    borderColor: theme.palette.primary.main,
    borderWidth: "2px 2px 2px 2px",
    border: "solid",
  },
}));

export default function SimpleAccordion(props) {
  const classes = useStyles();
  const [expanded, setExpanded] = React.useState("panel1");

  const handleChange = (panel) => (event, newExpanded) => {
    setExpanded(newExpanded ? panel : false);
  };

  return (
    <>
      {props.Material.map((elemento) => (
        <div className={classes.root}>
          <Accordion
            className={classes.accordion}
            square
            expanded={expanded === "panel" + elemento.painel}
            onChange={handleChange("panel" + elemento.painel)}
          >
            <AccordionSummary
              expandIcon={<ExpandMoreIcon className={classes.icon} />}
              aria-controls='panel1d-content'
              id='panel1d-header'
              className={classes.sumary}
            >
              <Typography variant='body1'>{elemento.title}</Typography>
            </AccordionSummary>
            <AccordionDetails className={classes.details}>
              <Typography variant='body1'>{elemento.content}</Typography>
            </AccordionDetails>
          </Accordion>
        </div>
      ))}
    </>
  );
}
