import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;
export const Correta = styled(Box)`
  border: solid 4px #66cd42;
  padding: 1vw;
  color: #000;
  border-radius: 15px;
  @media (max-width: 900px) {
    padding: 1rem;
  }
`;
export const Incorreta = styled(Box)`
  border: solid 4px #fe1b1e;
  padding: 1vw;
  color: #000;
  font-weight: bold;
  border-radius: 15px;
  margin-bottom: 1vw;
  @media (max-width: 900px) {
    padding: 1rem;
  }
`;

export const Content = styled(Box)`
overflow: hidden;
  flex-grow: 1;
  display: block;
  img {
    max-width: 100%;
    object-fit: scale-down;
  }
  h5 {
    font-weight: bold;
    text-align: center;
  }

  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      margin-bottom: 1rem;
    }
  }
  .dialog {
    display: flex;
    justify-content: flex-end;
    margin-top: 2vw;
  }

  .botoes-conteudo {
    display: flex;
  }

  .alternativa {
    color: #fff;
    padding: 1vw 2vw;
    border-radius: 15px;
    margin-bottom: 0.5vw;
    @media (min-width: 900px) {
      font-size: 1.15vw;
    }

    @media (max-width: 900px) {
      padding: 1rem;
      margin-bottom: 1rem;
    }
    :hover {
      cursor: pointer;
      background: #255560;
    }
  }

  .alternativaEscolhida{
    background: #255560;
  }
  .alternativaNaoEscolhida{
    background: #41ABA7;
  }

  .boxDialog {
    display: flex;
    justify-content: center;
    margin-top: 1rem;
    @media(max-height: 600px){
      margin-top: 0rem;
    }
  }

  .enviar {
    background: #255560;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    padding: 1vw 4vw;
    display: inline-block;
    font-size: 2.5vh;
    border-radius: 15px;
    @media (max-width: 900px) {
      padding: 1rem 2rem;
    }
  }
  .enviarDone {
    background: #255560;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    padding: 1vw 4vw;
    display: inline-block;
    font-size: 2.5vh;
    border-radius: 15px;
    opacity: 0.7;
    cursor: default;
    transform: scale(1) !important;
    @media (max-width: 900px) {
      padding: 1rem 2rem;
    }
  }
`;
