import styled from "styled-components";

export const ContainerAttention = styled.div`
  width: 100%;
  height: 100%;
  position: relative;

  .header {
    position: absolute;
    height: calc(3rem + 2px);
    left: 1rem;
    padding: 0 0.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: ${(props) => props.theme.palette.background.main};
    color: ${(props) =>
      props.Color ? props.Color : props.theme.palette.primary.main};

    @media (min-width: 900px) {
      padding: 0 1.5rem;
      left: 2rem;
    }

    p {
      font-weight: 900;
    }

    img {
      width: 2rem;
      margin-right: 0.5rem;

      @media (min-width: 900px) {
        width: 3rem;
        margin-right: 1rem;
      }
    }
  }

  .contentAttention {
    width: 100%;
    height: auto;
    /* height: 100%; */
    padding-top: 1.5rem;
  }

  .attentiontext {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border: 2px solid
      ${(props) =>
        props.Border ? props.Border : props.theme.palette.primary.main};
    border-radius: 1rem;
    padding: 1.5rem 1rem;
    margin-bottom: 0.25rem;

    @media (min-width: 900px) {
      padding: 2rem;
    }

    @media (min-width: 900px) and (min-height: 900px) {
      margin-bottom: 1rem;
    }
  }
`;
