import styled from "styled-components"

export const CardContainer = styled.div`
	background-color: ${(props) => props.theme.palette.primary.main};
	color: white;
	width: 100%;
	height: 100%;
	min-height: 30vh;
	border-radius: 15px;
	overflow: hidden;

	box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
	transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);

	&:hover {
		box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
	}

	#title,
	#text {
		line-height: 1.1;
	}

	#title {
		font-weight: 600;
	}

	#image {
		background-color: ${(props) => props.theme.palette.primary.main};
		overflow: hidden;
		height: 20vh;
		text-align: center;

		img {
			object-fit: cover;
			position: relative;

			display: flex;
			align-items: center;
			justify-content: center;
			top: 50%;
			transform: translateY(-50%);
			width: 100%;

			@media (min-width: 900px) {
				left: 50%;
				top: 50%;
				transform: translate(-50%, -50%);
			}
		}
	}

	#text {
		overflow: auto;
		word-wrap: no-wrap;
		background-color: ${(props) => props.theme.palette.primary.dark};
		height: 10vh;
		display: flex;
		flex-direction: column;
		justify-content: center;
		padding: 5px 15px;
	}
`
