import styled from "styled-components";

export const Container = styled.div`
  img {
    max-width: 100%;
    box-sizing: border-box;
  }
  display: flex;
  flex-direction: ${(props) => (props.Right ? "row-reverse" : "row")};
  padding: 1vw 2vw;
  @media (max-width: 900px) {
    flex-direction: column;
    padding: 1rem;
  }
  color: ${(props) => (props.Color ? props.Color : "#000")};
  width: auto;
  border-radius: 1rem;
  background-color: ${(props) =>
    props.backgroundColor ? props.backgroundColor : "#fff"};
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  :hover {
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
  }
  .content {
    > p {
      margin: 0;
      padding: 0;
    }
  }
  .image {
    width: 12%;
    margin-right: ${(props) => (props.Right ? "0vw" : "1vw")};
    margin-left: ${(props) => (props.Right ? "1vw" : "0vw")};
    @media (max-width: 900px) {
      width: 100%;
      margin-right: 0;
      margin-left: 0;
      margin-bottom: 1rem;
    }
  }
`;
