import React, { useState } from "react";
import { Box, Typography } from "@material-ui/core";
import { Container } from "./styles";

import RoundButton from "../../components/RoundButton";

export default function (props) {
  const { Content } = props;
  const objectSize = Content.length - 1;
  const [exibirContent, setExibirContent] = useState(0);
  const [page, setPage] = useState(0);

  return (
    <Container>
      <Box className='content'>
        <Box className='contentBox'>
          <Box className='button prev'>
            {exibirContent === 0 ? (
              <RoundButton type='previous' disabled />
            ) : (
              <RoundButton
                type='previous'
                onClick={() => [setPage(page - 1), setExibirContent(page - 1)]}
              />
            )}
          </Box>
          {Content[exibirContent].img && (
            <img src={Content[exibirContent].img} className='img' alt='' />
          )}
          <Typography variant='body1' className=''>
            {Content[exibirContent].text}
          </Typography>
          <Box className='button next'>
            {exibirContent === objectSize ? (
              <RoundButton type='next' disabled />
            ) : (
              <RoundButton
                type='next'
                onClick={() => [setPage(page + 1), setExibirContent(page + 1)]}
              />
            )}
          </Box>
        </Box>
      </Box>
    </Container>
  );
}
