import React from 'react'
import styled from 'styled-components'
import $ from 'jquery'
// Imports

// Assets

// Styling
const ZoomDiv = styled.div`
    .zoom_container {
        position:relative;
        cursor:pointer;
    }
    .zoom_container > .icon-zoom-in {
        position: absolute;
        color: #9B9B9B;
        z-index: 3;
        top: 46%;
        left: 43%;
        font-size: 23px;
        opacity: 0.6;
        display:none;
    }
    .modal-fade {
        display: none;
        
        background-color: black;
        opacity: 0.6;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 4;
    }
    .modal-fade-front {
        display: none;
        
        background-color: transparent;
        opacity: 0.0;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 10;
    }
    img.zoomable {
        cursor: pointer;
        width: 100%;
    }

    .imgZoom {
        display: inline-block;
        position: absolute;
        top: 43%;
        left: 43%;
    }
    .zoom{
        -webkit-transition: all 0.3s;
        transition: all 0.3s;
        -webkit-transform: scale(2.0);
        transform: scale(2.0);
        z-index: 9;
        position: fixed;
        width: auto !important;
        height: auto;
    }
`

// Component
class Zoom extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      src: this.props.src,
      id: this.props.Id
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {
    var zoomed = false
    const id = this.state.id
    $('.zoom_containerid' + id).click(function (event) {
      const zoomable = $(this).children('.zoomable')
      if (!$(zoomable).hasClass('zoom')) {
        const size = $('.container').width() / 2
        const sizeH = $('.container').height() / 2
        get_modal_fade()

        zoomable.clone().appendTo('.zoom_containerid' + id).addClass('zoom')
        $('.zoom').css('max-height', sizeH)
        $('.zoom').css('max-width', size)
        var meioTop = ($(window).outerHeight() - $('.zoom').height()) / 2
        var meioLeft = ($(window).outerWidth() - $('.zoom').width()) / 2
        $('.zoom').css({ top: meioTop, left: meioLeft })

        zoomed = true

        $('.zoom_container').children('.modal-fade').remove()
        $('.zoom_container').children('.icon2-observacao').remove()

        $('.modal-fade-front').click(function () {
          if (zoomed) {
            $('.zoom').remove()
            $('#md1').remove()
            $('#md2').remove()
            zoomed = false

            $('.modal-fade-front').off('click')
          }
        })
      }
    })

    $('.zoom_containerid' + id).hover(function (event) {
      if (!zoomed) {
        event.preventDefault()

        $('<div class="modal-fade"></div>').prependTo(this).fadeIn('fast')
        $('<span class="icon2-observacao imgZoom"></span>').appendTo(this).fadeIn('fast')
      }
    }, function () {
      $(this).children('.modal-fade').remove()
      $(this).children('.icon2-observacao').remove()
    })

    function get_modal_fade () {
      var modal_fade = $('<div class="modal-fade" id="md1"></div>').prependTo('#center-container')
      $('#md1').css('height', $(window).outerHeight())
      $('#md1').css('width', $(window).outerWidth())
      $('#md1').css('position', 'fixed')
      $('#md1').css('top', '0')
      $('#md1').css('left', '0')
      $('#md1').css('background-color', 'black')
      $('#md1').css('opacity', '0.6')
      $('#md1').css('z-index', '3')

      var modal_fadeFront = $('<div class="modal-fade-front" id="md2"></div>').appendTo('#center-container')
      $('#md2').css('height', $(window).outerHeight())
      $('#md2').css('width', $(window).outerWidth())
      $('#md2').css('position', 'fixed')
      $('#md2').css('top', '0')
      $('#md2').css('left', '0')
      $('#md2').css('z-index', '4')

      modal_fade.fadeIn('fast')
      modal_fadeFront.fadeIn('fast')
    }
  }

  render () {
    return (
    // Content
      <ZoomDiv className='zoomImage'>
        <div class={'zoom_container zoom_containerid' + this.state.id}>
          <img class='zoomable' src={this.state.src} alt='' />
        </div>
      </ZoomDiv>
    )
  }
}
export default Zoom
