import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  
  img {
    max-width: 100%;
    object-fit: scale-down;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .BoxAttention {
    margin-top: auto;
  }
  .slide {
    display: flex;
  }
  .numbers {
    @media(min-width: 600px){
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
    > p {
      background: #f8b32d;
      color: #2764ad;
      padding: 0.5rem;
      border-top-left-radius: 5px;
      border-bottom-left-radius: 5px;
      cursor: pointer;
      font-weight: bolder;
      transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
      :hover {
        transform: scale(1.1);
      }
      :nth-child(1),
      :nth-child(2) {
        margin-bottom: 1rem;
      }
      :nth-child(1) {
        transform: ${(props) =>
    props.currentContent === 1 ? "scale(1.1)" : ""};
      }
      :nth-child(2) {
        transform: ${(props) =>
    props.currentContent === 2 ? "scale(1.1)" : ""};
      }
      :nth-child(3) {
        transform: ${(props) =>
    props.currentContent === 3 ? "scale(1.1)" : ""};
      }
    }
  }
  .contentSlide {
    border: #2764ad 2px solid;
    width: 100%;
    padding: 1rem;
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
    display: flex;
    align-items: center;
  }
`;
