import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/saber.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";
import imagem from "../../assets/images/p12.png";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
              Principais alterações musculoesqueléticas e motoras (mobilidade, força e equilíbrio) pós-covid e estratégias de reabilitação
            </Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className=''>
                As sequelas da covid-19 podem ser variadas, dependendo da gravidade do paciente. Nas alterações musculoesqueléticas e motoras, há a perda de massa óssea, que é caracterizada pelo desequilíbrio no processo de modelagem e remodelagem. As principais alterações encontradas no sistema musculoesquelético são:
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
            </Box>
            <Box className='imagem'>
              <img src={imagem} />
            </Box>

            <Box className='text text-bottom'>
              <Typography variant='body1' className=''>
                É de se esperar que os pacientes afetados pela covid-19 sofram
                de sequelas musculoesqueléticas devido ao processo inflamatório
                e à perda de massa muscular ocasionada pela imobilidade durante
                longos períodos, que causam distúrbios de movimento
                incalculáveis.
              </Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer next='/p13' replay='/p9' />
    </StyledContainer>
  );
}
