import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  overflow-x: hidden;
  img {
    max-width: 100%;
    object-fit: scale-down;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text-image {
    display: flex;
    align-items: center;
    @media (max-width: 900px) {
      flex-direction: column-reverse;
    }
  }

  .text {
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .imagem {
    width: 50%;
    align-self: center;
    @media(max-height: 700px){
      width: 33% !important;
    }
  }
  .dialog {
    display: flex;
    justify-content: flex-end;
    @media (max-width: 900px) {
      position: relative;
      left: 20%;
    }
  }
`;
