import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/saber.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";
import imagemA from "../../assets/images/p6A.png";
import imagem from "../../assets/images/p14.png";
import Simple from "../../components/Simple";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
              Principais alterações das funções orofaciais (mastigação, deglutição, fonação e fala) pós-covid e estratégias de reabilitação
            </Typography>
          </Box>
          <Box className='content'>
            {/* <Box className='text'>
              <Typography variant='body1' className='indented subtitle'>
                Sistema neurológico e psicológico
                <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p>
              </Typography>
            </Box> */}
            <Box className='text-image'>
              <Box className='text-top-left'>
                <Typography variant='body1' className=''>
                  Alterações das funções orofaciais são representadas, principalmente, pelas Disfunções Temporomandibulares (DTM) e pelas Dores Orofaciais (DOF), as quais correspondem a um conjunto de distúrbios inerentes aos músculos da mastigação, à articulação temporomandibular e estruturas associadas, ocasionando dores na face, na Articulação Temporomandibular (ATM), além de dores de cabeça, devido à proximidade das áreas afetadas.
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
              </Box>
              <Box className='imagem'>
                <img src={imagem} />
              </Box>
            </Box>
            <Box className='Simple'>
              <Simple
                Content='Tais quadros podem ser engatilhados por uma série de fatores, não apenas físicos, mas psicossomáticos. Nessa fase de pandemia, isso é observado, já que inseguranças sobre o futuro, desequilíbrios emocionais e bombardeamento de notícias desgastante afetam as condições biopsicossociais das pessoas.'
                borderColor='#2764AD'
              />
            </Box>
            <Typography variant='body1' className=''>
              Brazoloto et al. <Reference num='6' onClick={() => openRef(6)} /> publicaram um artigo identificando o aumento da ocorrência de DTM diante das atribulações advindas desde o início da pandemia da covid-19. Embora ainda não definido, esse cenário de DTM/DOF continua sendo investigado e relatado como consequente ao novo mundo em que se vive.
              <br />
              <br />
              {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
            </Typography>
            <Typography variant='body1' className=''>
              A atenção às manifestações orofaciais de dor aguda ou crônica ou de disfunção temporomandibular não deve ser negligenciada durante a pandemia do coronavírus
              <Reference num='6' onClick={() => openRef(6)} />.
              {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
            </Typography>
          </Box>
        </Content>
      </Box>
      <Footer next='/p15' replay='/p9' />
    </StyledContainer>
  );
}
