import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
    box-sizing: border-box;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .imagem {
    width: 50%;
  }

  .subtitle {
    font-weight: bolder;
  }

  .text-image {
    display: flex;
    align-items: center;
    @media (max-width: 900px) {
      flex-direction: column-reverse;
    }
  }
  .text-top-left {
    margin-right: 1rem;
  }
  .Simple {
    margin-top: .8rem;
    margin-bottom: .8rem;
    @media (max-height: 700px) {
      margin-top: .4rem;
      margin-bottom: .4rem;
    }
  }
`;
