import React, { useRef, useState } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/saber.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";
import imagemA from "../../assets/images/p6A.png";
import imagem from "../../assets/images/p15.png";
import Simple from "../../components/Simple";

import { Article, Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  const text1 = "Dificuldade de deglutição de alimentos ou de líquidos."
  const text2 = "Condição em que alimentos, líquidos, saliva ou vômito são aspirados pelas vias aéreas. Já a microaspiração está relacionada à aspiração de pequenas quantidades dessas secreções ou alimentos na inalação de algum material estranho."
  const text3 = "Alterações nas articulações da fala e no enfraquecimento da voz."
  const [currentText, setText] = useState(text1)

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
              Principais alterações das funções orofaciais (mastigação, deglutição, fonação e fala) pós-covid e estratégias de reabilitação
            </Typography>
          </Box>
          <Box className='content'>
            {/* <Box className='text'>
              <Typography variant='body1' className='indented subtitle'>
                Sistema neurológico e psicológico
                <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p>
              </Typography>
            </Box> */}
            <Typography variant='body1' className=''>
              Em pacientes com covid-19 que manifestam quadros respiratórios severos, faz-se necessária a intubação, que é um procedimento muito comum nos casos de insuficiência respiratória grave e/ou refratária.
              <br />
              <br />
              {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
            </Typography>
            <Box className='Shaded'>
              <ShadedBox
                Content={
                  <p>
                    A intubação orotraqueal é um fator de risco para o desenvolvimento ou agravamento da DTM. Ela acontece quando a doença covid-19 se encontra na sua forma grave, devido ao quadro respiratório. Quando essa intubação ultrapassa 14 dias, ela está sujeita a alterações das funções orofaciais, e alguns pacientes podem evoluir para um distúrbio de deglutição, mastigação, fala e fonação
                    <Reference num='7' onClick={() => openRef(7)} />.
                  </p>
                }
              />
            </Box>
            <Typography variant='body1' className=''>
              <br />
              <br />
              Essas alterações podem ser divididas em:
              <br />
              <br />
              {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
            </Typography>
            <Article>
              <div className='btns' >
                <div onClick={() => { setText(text1) }} style={{ borderRadius: '10px 0 0 0' }}>
                  <Typography variant='body1' align='center'>
                    Disfagia
                  </Typography>
                </div>
                <div onClick={() => { setText(text2) }}>
                  <Typography variant='body1' align='center'>
                    Broncoaspiração
                  </Typography>
                </div>
                <div onClick={() => { setText(text3) }} style={{ borderRadius: '0px 10px 0 0' }}>
                  <Typography variant='body1' align='center'>
                    Disartria e disfonia
                  </Typography>
                </div>
              </div>
              <div className='article-text'>
                <Typography variant='body1'>
                  {currentText}
                </Typography>
              </div>
            </Article>
            {/* <Box className='imagem'>
              <img src={imagem} />
            </Box> */}
          </Box>
        </Content>
      </Box>
      <Footer next='/p16' prev='/p14' replay='/p9' />
    </StyledContainer>
  );
}
