import styled from "styled-components";
import { Box, createMuiTheme } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

const { breakpoints } = createMuiTheme()

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
    box-sizing: border-box;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .imagem {
    width: 100%;
  }

  .subtitle {
    font-weight: bolder;
  }

  .text-image {
    display: flex;
    align-items: center;
  }
  .text-top-left {
    margin-right: 1rem;
  }
  .Simple {
    margin-top: 2rem;
    margin-bottom: 2rem;
  }
`;

export const Article = styled(Box)`
  width: 95%;
  margin: .3 auto;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 0.3fr 0.7fr;

  .btns {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-columns: 1fr;
    grid-row-gap: .4rem;

    ${breakpoints.down(600)}{
        margin-bottom: .4rem;
      }

    ${breakpoints.up(700)}{
      grid-template-columns: 1fr 1fr 1fr;
      grid-template-rows: 1fr !important;
      grid-row-gap: 0;
      grid-column-gap: .1rem;
    }
    

    div {
      cursor: pointer;
      background-color: #4A81C2;
      display: flex;
      flex: 1;
      justify-content: center;
      align-items: center;
      transition: all .2s;
      color: white;
      padding: .7rem;
      font-weight: bold;
      :hover {
        filter: brightness(0.5);
      }
      ${breakpoints.down(600)}{
        border-radius: 10px !important;
      }
    }
  }

  .article-text {
    display: flex;
    align-items: center;
    height: auto;
    padding: 1rem;
    background-color: #C1D5EF;
  }
`
