import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/images/parasabermais.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";
import imagemA from "../../assets/images/p6A.png";
import imagem from "../../assets/images/p16.png";
import Simple from "../../components/Simple";
import pdf1 from "../../assets/pdfs/Parecer_do_Departamento_de_Fonoaudiologia_da_AMIB.pdf";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
              Principais alterações das funções orofaciais (mastigação, deglutição, fonação e fala) pós-covid e estratégias de reabilitação
            </Typography>
          </Box>
          <Box className='content'>
            {/* <Box className='text'>
              <Typography variant='body1' className='indented subtitle'>
                Sistema neurológico e psicológico
                <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p>
              </Typography>
            </Box> */}
            <Typography variant='body1' className=''>
              A irregularidade de coordenação entre a deglutição e a respiração
              é fator de alto risco para broncoaspiração, por isso é fundamental
              utilizar os critérios de risco de aspiração, de modo a eleger com
              melhor rigor as intervenções a serem realizadas.
              {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
            </Typography>
            <Box className='text-image'>
              <Box className='text-top-left'>
                <Typography variant='body1' className=''>
                  As estratégias de reabilitação estão vinculadas a terapias diretas ou indiretas de cognição e à motricidade orofacial. Essa reabilitação pode acontecer com exercícios para relaxar e fortalecer a musculatura facial, falar com a articulação fechada, trava-línguas e até mesmo leitura de vogais.
                  <br />
                  <br />
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
                <Typography variant='body1' className=''>
                  O profissional da fonoaudiologia é fundamental nesse processo,
                  em conjunto com o médico, enfermeiro, nutricionista e
                  fisioterapeuta, para a realização de um trabalho direcionado
                  à necessidade apresentada.
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
              </Box>
              <Box className='imagem'>
                <img src={imagem} />
              </Box>
            </Box>
            <Box className='dialog'>
              <Dialog
                content={
                  <>
                    Conheça a atuação do fonoaudiólogo na unidade de terapia intensiva e no ambiente hospitalar com covid-19. <a
                      href={pdf1}
                      target='_blank'
                    >Para isso, acesse o Parecer do Departamento de Fonoaudiologia da AMIB referente ao atendimento ao covid-19 na terapia intensiva e no ambiente hospitalar</a>.
                  </>
                }
                title='Para saber mais'
                image={SaberMais}
              />
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer replay='/p9' prev='/p15' />
    </StyledContainer>
  );
}
