import React, { useRef } from 'react';
import { Typography, Box } from '@material-ui/core';

import Header from '../../components/Header';
import Footer from '../../components/Footer';
import Reference from '../../components/Reference';
import Dialog from '../../components/Dialog';
import SaberMais from '../../assets/buttons/saber.png';
import Attention from '../../components/Attention';
import ShadedBox from '../../components/ShadedBox';
import imagemA from '../../assets/images/p6A.png';
import imagem from '../../assets/images/p17.png';
import Simple from '../../components/Simple';

import { Content, StyledContainer } from './styles';

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
              Principais alterações sensoriais (auditivas, táteis, gustativas e olfativas) pós-covid e estratégias de reabilitação            </Typography>
          </Box>
          <Box className='content'>
            {/* <Box className='text'>
              <Typography variant='body1' className='indented subtitle'>
                Sistema neurológico e psicológico
                <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p>
              </Typography>
            </Box> */}
            <Box className='text-image'>
              <Box className='text-top-left'>
                <Typography variant='body1' className=''>
                  Pellegrini et al.<Reference num='8' onClick={() => openRef(8)} /> afirmam que tanto o olfato quanto o paladar são sentidos químicos. Os sistemas neurais que intermedeiam essas sensações - sistemas gustativo e olfatório - estão entre aqueles filogeneticamente mais antigos do encéfalo e, ao perceberem substâncias químicas na cavidade oral e nasal, trabalham sistematicamente.
                  <br />
                  <br />
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
                <Typography variant='body1' className=''>
                  Os distúrbios sensoriais auditivos, gustativos, táteis e olfativos estão associados a uma ampla gama de infecções virais. Dessa forma, os múltiplos vírus podem causar danos como: <strong >confusão mental, alteração do nível de consciência, dor de cabeça, tontura e sonolência, danos nos nervos neurológicos, além de acometer o SNC, causando distúrbios</strong><Reference num='9' onClick={() => openRef(9)} />.
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
              </Box>
              <Box className='image'>
                <img src={imagem} />
              </Box>
            </Box>
            <Box className='Simple'>
              <Simple
                Content='Em pacientes acometidos pela covid-19, os relatos da incapacidade de sentir odores, anosmia (perda do olfato), hiposmia (diminuição da capacidade olfativa), ageusia (perda do sentido do paladar) foram frequentes. Isso perdura até mesmo após a melhora do quadro do paciente. Só depois de algum tempo é que essas alterações desaparecem.'
                borderColor='#2764AD'
              />
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer next='/p18' replay='/p9' />
    </StyledContainer>
  );
}
