import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";
import { createMuiTheme } from "@material-ui/core";

const { breakpoints } = createMuiTheme()
export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .smallBoxes {
    display: flex;
    justify-content: space-evenly;
    margin-top: 2rem;
  }
  .smallBox {
    background: #e8a442;
    padding: 1.5rem 1rem;
    width: 15%;
    border-radius: 15px;
    text-align: center;
  }
  .box-shadedBox {
    margin-top: .8rem;
    @media (max-height: 710px) {
      margin-top: .4rem;
    }
  }
  .text-bottom {
    margin-top: .8rem;
    @media (max-height: 710px) {
      margin-top: .4rem;
    }
  }
  .number {
    font-size: 3rem;
    font-weight: bold;
    color: #fff;
  }
  .reta {
    width: 3px;
    height: 100%;
    margin-left: 2rem;
    margin-right: 2rem;
    background: #fff;
    ${breakpoints.down(600)}{
      width: 20px;
      height: 125px;
    }
  }
  .number-text {
    display: flex;
    align-items: center;
    color: #fff;
  }
  .index {
    display: flex;
    justify-content: center;
    padding: .6rem;

    div{
      display: flex;
      align-items: center;
      justify-content: center;
      width: 40px;
      height: 40px;
      background-color: #2764AD;
      color: white;
      margin: 0 .5rem;
      border-radius: 50%;
      cursor: pointer;
      transition: all .2s;
      :hover {
        transform: translateY(-3px);
      }
      font-size: .85rem;
      ${breakpoints.up(600)}{
        font-size: .95rem;
      }

      font-weight: bold;;
    }

    .unmarked {
      color: #2764AD;
      background: none;
      border: 1px solid #2764AD;
    }

    .marked {
      color: white;
      background: #2764AD;
    }

  }
`;
