import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/saber.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>Considerações finais</Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className=''>
                No cenário da pandemia de covid-19, que tem provocado adoecimento e sequelas após recuperação dos quadros agudos, é necessário compreender as características e consequências das alterações neurofuncionais, para que sejam tomadas as condutas adequadas a fim de melhorar a situação dos pacientes.
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
            </Box>

            <Box className='box-shadedBox'>
              <ShadedBox
                Content='A equipe multidisciplinar deve estar envolvida nos procedimentos de reabilitação, para que o processo tenha resultado profícuo, focando o paciente, de forma a recuperar a sua qualidade de vida.'
                backgroundColor='#4A81C2'
                Color='#fff'
              />
            </Box>
            <Box className='text text-bottom'>
              <Typography variant='body1' className=''>
                Esperamos que você tenha compreendido os pontos abordados neste recurso educacional e que, a partir de agora, possa inserir esses conhecimentos na sua prática de trabalho.
                <br />
                <br />
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
              <Typography variant='body1' className=''>
                Até a próxima!
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev='/p9' />
    </StyledContainer>
  );
}
