import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  overflow: hidden;
  img {
    max-width: 100%;
    object-fit: scale-down;
  }
  h5 {
    font-weight: bolder;
    text-align: center;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .smallBoxes {
    display: flex;
    justify-content: space-evenly;
    margin-top: 2rem;
  }
  .smallBox {
    background: #e8a442;
    padding: 1.5rem 1rem;
    width: 15%;
    border-radius: 15px;
    text-align: center;
  }
  .box-shadedBox {
    margin-top: 2rem;
  }
  .text-bottom {
    margin-top: 2rem;
  }
`;
