import React, { useRef, useState, useEffect } from 'react';
import { Typography, Box } from '@material-ui/core';

import Header from '../../components/Header';
import Footer from '../../components/Footer';
import Reference from '../../components/Reference';
import Dialog from '../../components/Dialog';
import SaberMais from '../../assets/buttons/saber.png';
import Attention from '../../components/Attention';
import alvo from '../../assets/images/alvo.png';

import { Content, StyledContainer } from './styles';

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  const content = (
    <>
      <p>content: coloca o conteúdo do Dialog</p>
      <p>title: coloca o título</p>
      <p>image: coloca a imagem que será o botão</p>
      <p>
        clicked: determina se o botão já foi clicado ou nao utilizando true ou
        false
      </p>
      <p>help: ao invés de imagem, define o botão '?' </p>
      <p>buttonText: Texto que será exibido como botão </p>
      <p>colorText: cor do texto do botão </p>
      <p>colorBackground: define a cor do background.</p>
      <p>colorBackgroundHover: define a cor do backgroundHover.</p>
    </>
  );

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>Apresentação</Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className=''>
                Olá, aluna(o)!
                <br />
                <br />
              </Typography>
              <Typography variant='body1' className=''>
                O paciente com condições pós-covid requer um olhar atento,
                devido às inúmeras alterações neurofuncionais que a doença causa.
                <br />
                <br />
              </Typography>
              <Typography variant='body1' className=''>
                Você sabe quais são essas alterações?
                <br />
                <br />
              </Typography>
              <Typography variant='body1' className=''>
                Neste infográfico interativo, iremos abordar as principais alterações neurofuncionais,
                bem como sua reabilitação em pacientes que tiveram covid-19. Trataremos sobre suas
                características e as orientações que devem ser repassadas para o cuidado.
                <br />
                <br />
              </Typography>
              <Typography variant='body1' className='' paragraph='true'>
                Vamos lá?
              </Typography>
            </Box>

            <Box className='BoxAttention'>
              <Attention Image={alvo} Title='OBJETIVO'>
                Reconhecer as estratégias de reabilitação nas diferentes alterações neurofuncionais: neurológica,
                musculoesquelética e motora, orofacial e sensorial de pacientes com condição pós-covid.
              </Attention>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer next='/p3' prev='/' />
    </StyledContainer>
  );
}
