import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/saber.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
            Principais implicações e/ou complicações apresentadas por pacientes com condições pós-covid
            </Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className=''>
                As implicações e/ou complicações da covid-19 estão correlacionadas, principalmente, com os seguintes fatores de risco:
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
            </Box>
            <Box className='smallBoxes'>
              {["Pessoas idosas", "Sedentários", "Tabagistas", "Obesos"].map(
                (item) => {
                  return (
                    <Box key className='smallBox'>
                      <Typography variant='body1' className=''>
                        {item}
                      </Typography>
                    </Box>
                  );
                }
              )}
            </Box>
            <Box className='box-shadedBox'>
              <ShadedBox
                Content='Pessoas com comorbidades potenciais, como hipertensão, diabetes, doença cardiovascular, hepática, cerebrovascular, doença pulmonar crônica, doença renal crônica, câncer e imunodeficiência.'
                backgroundColor='#4A81C2'
                Color='#fff'
              />
            </Box>
            <Box className='text text-bottom'>
              <Typography variant='body1' className=''>
                As evidências existentes até o momento explanam como esses
                fatores podem induzir várias outras manifestações clínicas como
                cefaleia, dor, síndromes disexecutivas e implicações após a
                recuperação.
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer next='/p4' prev='p2' />
    </StyledContainer>
  );
}
