import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .smallBoxes {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
    /* width: 50%; */
    @media (max-width: 900px) {
      flex-direction: column;
      align-items: center;
    }
  }
  .smallBox {
    background: #4a81c2;
    padding: 1.5rem 1rem;
    width: 15%;
    border-radius: 15px;
    text-align: center;
    color: #fff;
    margin-right: 2rem;
    :nth-child(4) {
      margin-right: 0;
    }
    @media (max-width: 900px) {
      width: 100%;
      margin: 0;
      margin-bottom: 1rem;
    }
  }
  .box-shadedBox {
    margin-top: 2rem;
  }
  .text-bottom {
    margin-top: 2rem;
  }
`;
