import React, { useRef } from 'react';
import { Typography, Box } from '@material-ui/core';

import Header from '../../components/Header';
import Footer from '../../components/Footer';
import Reference from '../../components/Reference';
import Dialog from '../../components/Dialog';
import SaberMais from '../../assets/buttons/saber.png';
import Attention from '../../components/Attention';
import ShadedBox from '../../components/ShadedBox';
import imagemD from '../../assets/images/imagensD.png';
import imagemM from '../../assets/images/imagensM.png';

import { Content, StyledContainer } from './styles';

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
              Principais implicações e/ou complicações apresentadas por pacientes com condições pós-covid
            </Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className=''>
                No início da pandemia, o Ministério da Saúde brasileiro explanou sobre as medidas não farmacológicas que podem ser utilizadas pela população em geral para minimizar a propagação do vírus. Essas medidas são:<br />
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
              <Box className='arrayImagens my-4'>
                {window.innerWidth >= 900 ? (
                  <img src={imagemD} />
                ) : (
                  <img src={imagemM} />
                )}
              </Box>
              <Typography variant='body1' className=''>
                Cientistas estudam os principais efeitos causados pelo SARS-CoV-2, mutação do coronavírus que causa a covid-19. Esses estudos auxiliam na descoberta de fatores associados a sequelas, tratamento e reabilitação dos pacientes.<br />
                <br />
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
              <Typography variant='body1' className=''>
                Um grupo de infectados apresentou sintomas que podem perdurar por longos períodos, configurando a chamada covid-19 de longa duração, também conhecida como persistente ou crônica.<br />
                <br />
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev='/p3' next='/p5' />
    </StyledContainer>
  );
}
