import styled from 'styled-components';
import { Box, createMuiTheme } from '@material-ui/core';

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from '../../theme/commonstyles';

const { breakpoints } = createMuiTheme();

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
    box-sizing: border-box;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  /* .arrayImagens {
    position: relative;
    width: 90%;
    margin: .4rem auto;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    grid-row-gap: .4rem;
    justify-content: center;

    ${breakpoints.up(600)}{
      grid-template-columns: repeat(3, 0.2fr);
      grid-template-rows: 1fr;
    }

    img {
      max-width: 100%;
    }
  } */
  .arrayImagens {
    display: flex;
    justify-content: center;
    > img {
      width: 70%;
      @media (max-width: 900px) {
        width: 100%;
      }
    }
  }
`;
