import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/saber.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";
import imagemA from "../../assets/images/p4A.png";
import imagemB from "../../assets/images/p4B.png";
import imagemC from "../../assets/images/p4C.png";
import imagem from "../../assets/images/p5.png";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
            Principais implicações e/ou complicações apresentadas por pacientes com condições pós-covid
            </Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className=''>
              Nesse período de pandemia, percebeu-se que, mesmo após a cura, alguns indivíduos apresentaram condições pós-covid.               </Typography>
            </Box>
            <Box className='boxShaded'>
              <ShadedBox
                Content='Observou-se que os pacientes que sofreram da doença na sua forma grave e os que permaneceram mais tempo na UTI adquiriram sequelas em vários sistemas, como o respiratório, o cardiovascular e o renal, além de apresentarem neuropatia, alterações de memória, fraqueza e atrofia muscular, estresse pós-traumático e fadiga crônica.'
                backgroundColor='#4A81C2'
                Color='#FFF'
              />
            </Box>
            <Box className='text-image'>
              <Box className='text-bottom'>
                <Typography variant='body1' className='' paragraph='true'>
                  No sistema respiratório, há relatos de sequelas associadas a edemas, bem como sinais de fibrose, com deposição de fibrina e infiltrado de células inflamatórias e fibroblastos próximos às células epiteliais nos espaços alveolares.
                </Typography>
                <Typography variant='body1' className='' paragraph='true'>
                Pessoas com histórico de doenças pulmonares e/ou tabagistas estão mais suscetíveis a essas complicações, considerando também a ventilação mecânica a longo prazo como um fator contribuinte para a evolução dessas implicações.                </Typography>
                <Typography variant='body1' className=''>
                  Descondicionamento físico e fraqueza muscular são complicações associadas à neuropatia e atrofia muscular, quando ocorre o repouso prolongado associado ao doente crítico, levando à diminuição da síntese de proteína muscular e à redução da massa muscular, principalmente de membros inferiores<Reference num='1' onClick={() => openRef(1)} />.

                </Typography>
              </Box>
              <Box className='imagem'>
                <img src={imagem} />
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer next='/p6' prev='/p4' />
    </StyledContainer>
  );
}
