import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/saber.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";
import imagemA from "../../assets/images/p6A.png";
import imagemB from "../../assets/images/p6B.png";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
            Principais implicações e/ou complicações apresentadas por pacientes com condições pós-covid
            </Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className='subtitle'>
                Sistema cardiovascular
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
            </Box>
            <Box className='text-image' id='itt'>
              <Box className='text-bottom-left'>
                <Typography variant='body1' className=''>
                  Estudos mostraram que alguns indivíduos apresentaram lesões no miocárdio como cardiomiopatia grave, incluindo miocardite relacionada à infecção, com função reduzida das contrações cardíacas e batimentos irregulares. Essas lesões podem ser secundárias a lesões pulmonares graves.
                  <br />
                  <br />
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
                <Typography variant='body1' className=''>
                Pouco se sabe sobre os mecanismos responsáveis por causarem essas sequelas. Em pacientes com manifestações clínicas graves de covid-19, a incidência da doença pode causar mortalidade, devido ao dano miocárdico grave, especialmente em pacientes com doença cardiovascular preexistente.
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
              </Box>
              <Box className='image-top'>
                <img src={imagemA} />
              </Box>
            </Box>
            <Box className='text-image' id='itb'>
              <Box className='image-down'>
                <img src={imagemB} />
              </Box>
              <Box className='text-bottom-right '>
                <Typography variant='body1' className=''>
                  Por isso, a realização de uma boa anamnese na admissão de um paciente é muito importante para a avaliação e, consequentemente, para a escolha do melhor tratamento, pois a falta de informação suficiente pode levar a um agravamento do paciente com relação ao seu quadro clínico inicial.
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev='/p5' next='/p7' />
    </StyledContainer>
  );
}
