import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
    box-sizing: border-box;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }

  .subtitle {
    font-weight: bolder;
    color: #4a81c2;
  }

  .text-image {
    display: flex;
    margin-top: .5rem;
    @media (max-height: 630px) {
      margin-top: .2rem;
    }
    align-items: center;
  }

  .text-bottom-left {
    margin-right: 1rem;
    @media (max-width: 900px) {
      margin: 0;
    }
  }
  .text-bottom-right {
    margin-left: 1rem;
    @media (max-width: 900px) {
      margin: 0;
    }
  }

  #itt {
    @media (max-width: 900px) {
      flex-direction: column-reverse !important;
    }
  }
  #itb {
    @media (max-width: 900px) {
      flex-direction: column;
    }
  }

  .image-top {
    width: 55%;
    @media (max-height: 510px) {
      width: 35%;
    }
  }
  .image-down {
    width: 35%;
    @media (max-height: 510px) {
      width: 25%;
    }
  }
`;
