import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/saber.png";
import Attention from "../../components/Attention";
import ShadedBox from "../../components/ShadedBox";
import imagemA from "../../assets/images/p6A.png";
import imagem from "../../assets/images/p7.png";
import Simple from "../../components/Simple";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>
            Principais implicações e/ou complicações apresentadas por pacientes com condições pós-covid
            </Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className='subtitle'>
                Sistema neurológico e psicológico
                {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
              </Typography>
            </Box>
            <Box className='text-image'>
              <Box className='image'>
                <img src={imagem} />
              </Box>
              <Box className='text-top-right'>
                <Typography variant='body1' className=''>
                  O comprometimento dos sistemas neurológico e psicológico também está entre as principais complicações existentes, pois a alta inflamação sistêmica pode levar ao declínio cognitivo de longo prazo, causando dificuldades com a memória, atenção, velocidade e função de processamento, além da perda neuronal difusa.
                  <br />
                  <br />
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
                <Typography variant='body1' className=''>
                  Ademais, na parte psicológica, tanto os profissionais de saúde quanto crianças e a população em geral tendem a adquirir problemas como ansiedade, síndrome do pânico, depressão e fobias decorrentes de todas as mudanças que foram impostas na pandemia, como o distanciamento e isolamento social, desemprego e falecimentos de conhecidos, familiares e amigos.
                  {/* <p>
                  --- Exemplo de referência
                  <Reference num='1' onClick={() => openRef(1)} />. ---
                </p> */}
                </Typography>
              </Box>
            </Box>
            <Box className='Simple'>
              <Simple
                Content='As sequelas da SARS também incluem contratura, estenose traqueal, ossificação heterotópica, rouquidão, úlceras por pressão, perda dentária, perda auditiva neurossensorial, zumbido, lesão do plexo braquial, cicatrizes e alterações de aparência. Essas condições podem ser causadas pelo uso de corticosteroides, que tem ocorrido em parte das unidades hospitalares para o tratamento do novo coronavírus.'
                borderColor='#2764AD'
              />
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer next='/p8' prev='/p6' />
    </StyledContainer>
  );
}
