import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  
  img {
    max-width: 100%;
    object-fit: scale-down;
    box-sizing: border-box;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }

  .subtitle {
    font-weight: bolder;
    color: #4a81c2;
  }

  .text-image {
    display: flex;
    margin-top: .5rem;
    align-items: center;
    @media(max-width: 900px){
      flex-direction: column;
    }
  }
  .text-top-right {
    margin-left: 1rem;
  }
  .Simple {
    margin-top: 1rem;
    @media (max-height: 510px) {
      margin-top: .6rem;
    }
  }
  .image {
    width: 60%;
    margin-right: .6rem;
    @media (max-height: 510px) {
      width: 30%;
    }
  }
`;
