import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
overflow-x: hidden;
  img {
    max-width: 100%;
    object-fit: scale-down;
    box-sizing: border-box;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }

  .subtitle {
    font-weight: bolder;
    color: #4a81c2;
  }

  .text-image {
    display: flex;
    margin-top: 2rem;
    align-items: center;
    @media (max-height: 510px) {
      margin-top: 0rem;
    }
    @media (max-width: 900px) {
      flex-direction: column-reverse;
    }
  }
  .Simple {
    margin-top: 4rem;
  }
  .image {
    width: 60%;
    margin-left: 2rem;
    @media (max-width: 900px) {
      margin: 0;
    }
  }
  .texts-down {
    display: flex;
    margin-top: 1rem;
    @media (max-width: 900px) {
      flex-direction: column;
    }
  }
  .text-down {
    :nth-child(1) {
      padding-right: 2rem;
      border-right: solid 2px #2764ad;
      @media (max-width: 900px) {
        padding: 0;
        border: none;
      }
    }
    :nth-child(2) {
      padding-left: 2rem;
      @media (max-width: 900px) {
        padding: 0;
      }
    }
    width: 50%;
    @media (max-width: 900px) {
      width: 100%;
    }
  }
  .Dialog {
    display: flex;
    margin-top: 1rem;
    justify-content: flex-end;
    position: relative;
    @media (max-height: 510px) {
      top: -13%;
    }
    @media (max-width: 900px) {
      left: 20%
    }
  }
`;
