import React, { useRef, useEffect, useState } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import imagemA from "../../assets/images/1.png";
import imagemC from "../../assets/images/2.png";
import imagemB from "../../assets/images/3.png";
import imagemD from "../../assets/images/4.png";

import { Content, StyledContainer } from "./styles";

export default function () {
  const headerref = useRef(Header);

  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  const [quadroAtivo0, setQuadroAtivo0] = useState(false);
  const [quadroAtivo1, setQuadroAtivo1] = useState(false);
  const [quadroAtivo2, setQuadroAtivo2] = useState(false);
  const [quadroAtivo3, setQuadroAtivo3] = useState(false);

  const Refresh = (page) => {
    switch (page) {
      case 0:
        //window.localStorage.setItem("quadro0", true);
        break;
      case 1:
        //window.localStorage.setItem("quadro1", true);
        break;
      case 2:
        //window.localStorage.setItem("quadro2", true);
        break;
      case 3:
        //window.localStorage.setItem("quadro3", true);
        break;
      default:
        break;
    }
  };

  // useEffect(() => {
  //   for (let i = 0; i <= 3; i++) {
  //     if (window.localStorage.getItem("quadro0") === "true") {
  //       setQuadroAtivo0(true);
  //     }
  //     if (window.localStorage.getItem("quadro1") === "true") {
  //       setQuadroAtivo1(true);
  //     }
  //     if (window.localStorage.getItem("quadro2") === "true") {
  //       setQuadroAtivo2(true);
  //     }
  //     if (window.localStorage.getItem("quadro3") === "true") {
  //       setQuadroAtivo3(true);
  //     }
  //   }
  // }, []);

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content
          // quadroAtivo0={quadroAtivo0}
          // quadroAtivo1={quadroAtivo1}
          // quadroAtivo2={quadroAtivo2}
          // quadroAtivo3={quadroAtivo3}
        >
          <Typography variant='body1' className='text-top'>
            <strong>Clique</strong> nos cards abaixo para continuar seus
            estudos.
          </Typography>
          <Box className='content'>
            <Box className='boxes-top'>
              <Box
                id='quadro0'
                onClick={() => [(window.location.href = "#/p10"), Refresh(0)]}
              >
                <img src={imagemA} />
              </Box>
              <Box
                id='quadro1'
                onClick={() => [(window.location.href = "#/p12"), Refresh(1)]}
              >
                <img src={imagemB} />
              </Box>
            </Box>
            <Box className='boxes-down'>
              <Box
                id='quadro2'
                onClick={() => [(window.location.href = "#/p14"), Refresh(2)]}
              >
                <img src={imagemC} />
              </Box>
              <Box
                className='box-end'
                id='quadro3'
                onClick={() => [(window.location.href = "#/p17"), Refresh(3)]}
              >
                <img src={imagemD} />
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer next='/p19' prev='/p8' />
    </StyledContainer>
  );
}
