import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
    box-sizing: border-box;
  }
  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }

  .text-top {
    text-align: center;
  }
  .boxes-top {
    margin-top: 2rem;
    margin-bottom: 2rem;
    @media (max-width: 900px) {
      margin: 0;
    }
  }
  .boxes-top,
  .boxes-down {
    display: flex;
    justify-content: space-evenly;
    @media (max-width: 900px) {
      flex-direction: column;
    }
    > div {
      width: 40%;
      @media (max-width: 900px) {
        width: 100%;
        margin-top: 1rem;
      }
      cursor: pointer;
      filter: drop-shadow(0 5px 3px rgba(0, 0, 0, 0.2));
      transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
      @media (max-height: 510px) {
        width: 30%;
      }
      :hover {
        transform: scale(1.1);
        filter: drop-shadow(0 5px 6px rgba(0, 0, 0, 0.2));
      }
    }
  }
  .box-end {
    transform: scale(1.03);
    position: relative;
    left: 10px;
    top: 5px;
    :hover {
      transform: scale(1.13) !important;
    }
  }
  #quadro0 {
    filter: ${(props) => (props.quadroAtivo0 ? "contrast(50%)" : "")};
  }
  #quadro1 {
    filter: ${(props) => (props.quadroAtivo1 ? "contrast(50%)" : "")};
  }
  #quadro2 {
    filter: ${(props) => (props.quadroAtivo2 ? "contrast(50%)" : "")};
  }
  #quadro3 {
    filter: ${(props) => (props.quadroAtivo3 ? "contrast(50%)" : "")};
  }
`;
